Subject: RE: [mobile-ip] draft-tkn-mobileip-qosbinding-mipv6-00.txt

From: "Hemant Chaskar" <[email-masked]>
Date: Fri, 20 Jul 2001 18:32:40

Why do we need CT(oldAR to MAP)? Since downlink data flows thorugh MAP and 
assuming that QoS was established using h-b-h option, MAP can just store 
that object along with mobility bindings. So when it receives BU from 
whaterver router (old or new) for this binding, it knows how to and where to 
send h-b-h option in BA. Doing CT from AR to MAP will open up can of worms 
each worm trying to do CT between AR and its application proxy.

Hemant

>From: "Hesham Soliman  (ERA)" <[email-masked]>
>Reply-To: [email-masked]
>To: "[email-masked]'" <[email-masked]>
>Subject: RE: [mobile-ip] draft-tkn-mobileip-qosbinding-mipv6-00.txt
>Date: Fri, 20 Jul 2001 18:33:58 +0200
>
> > >         => Ok but you should consider the Fast Handoffs case where the 
>BU is sent
> > >         through the old AR. Can the CT be done between the oAR and the
> > >         MAP as well so that the MAP can setup the down link somehow ?
> > We didn't consider the case of Fast Handoff - in this case I agree to
> > do CT(oAR->MAP) when BU is sent through oAR.
> >
>	=> Ok that should work I think. If you want a detailed description
>	of the Fast Handoffs / HMIPv6 operation have a look at Appendix A
>	of the HMIPv6 draft (rev 04) which will be submitted today. I'll send
>	a URL to the list.
>
>	Hesham

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

---

From: Xiaoming Fu <[email-masked]>
Date: Tue, 24 Jul 2001 10:10:53 +0200

Hi Hemant,

> each worm trying to do CT between AR and its application proxy.

Theoretically the QoS can be stored either in MAP or AR. However, if
storing 
in MAP, what happens for an inter-MAP mobility? A MN may initate a new
BU+QoS from MN-->(nAR)-->MAP? Or ask the oMAP to perform
CT(oMAP-->nMAP)?
Or additionally, ask QoS-CT(oMAP-->nAR)? Note we have to further the
BU+QoS 
towards the higher level of hierarchy until the switching point (either 
might be a MAP or HA or even CN), and this may result in a strange
sequence 
in BU and QoS setup. 

In contrast, if storing in MAP, except the case of Fast Handoffs,
we can do CT(oAR-->nAR), and process the BU+QoS from the oAR until the
switching point in a conforming way. 

Xiaoming